Bug 216559 - security/openssl: @sample openssl.cnf
Summary: security/openssl: @sample openssl.cnf
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-28 22:02 UTC by Franco Fichtner
Modified: 2017-03-26 10:48 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments
@sample for openssl.cnf (4.08 KB, patch)
2017-01-28 22:02 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2017-01-28 22:02:40 UTC
Created attachment 179386 [details]
@sample for openssl.cnf

A warning is printed when /usr/local/openssl/openssl.cnf is not set up and this process is manual.

@sample does the job.  Attached patch does this and the same for openssl-devel.
Comment 1 commit-hook freebsd_committer 2017-02-08 20:16:38 UTC
A commit references this bug:

Author: brnrd
Date: Wed Feb  8 20:16:31 UTC 2017
New revision: 433671
URL: https://svnweb.freebsd.org/changeset/ports/433671

Log:
  security/openssl: Enable ASM by default

    - Enable ASM option
      * By extension this enables AES-NI [1]
    - Order OPTIONS_DEFAULT alphabetically
    - Switch to using @sample [2]
    - Bump PORTREVISION

  PR:		216559 [2]
  Reported by:	dtestke [1]
  Submitted by:	Franco Fichtner <franco@opnsense.org> [2]

  Approved by:	asomers, allanjude

Changes:
  head/security/openssl/Makefile
  head/security/openssl/files/pkg-message.in
  head/security/openssl/pkg-plist